"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
function isFatalError(settings, error) {
    if (settings.errorFilter === null) {
        return true;
    }
    return !settings.errorFilter(error);
}
exports.isFatalError = isFatalError;
function isAppliedFilter(filter, value) {
    return filter === null || filter(value);
}
exports.isAppliedFilter = isAppliedFilter;
function setBasePathForEntryPath(fullpath, root, base) {
    let relative;
    if (fullpath.startsWith(root)) {
        relative = fullpath.replace(root, '').replace(/^[\\\/]/, '');
    }
    else {
        relative = path.relative(root, fullpath);
    }
    if (base === '') {
        return relative;
    }
    return `${base}${path.sep}${relative}`;
}
exports.setBasePathForEntryPath = setBasePathForEntryPath;
